# OpalH224Handler Class Reference

`#include <h224handler.h>`

Collaboration diagram for OpalH224Handler:

[legend]

## Public Types

| Broadcast = 0x0000
| CMEClientListCode = 0x01
| CMEExtraCapabilitiesCode = 0x02
| CMEMessage = 0x00
| CMECommand = 0xff
| CountryCodeEscape = 0xff
enum | { Broadcast = 0x0000, CMEClientListCode = 0x01, CMEExtraCapabilitiesCode = 0x02, CMEMessage = 0x00, CMECommand = 0xff, CountryCodeEscape = 0xff }

## Public Member Functions

| OpalH224Handler ()
| ~OpalH224Handler ()
PBoolean | AddClient (OpalH224Client &client)
PBoolean | RemoveClient (OpalH224Client &client)
void | SetTransmitMediaFormat (const OpalMediaFormat &mediaFormat)
void | SetReceiveMediaFormat (const OpalMediaFormat &mediaFormat)
void | SetTransmitMediaStream (OpalH224MediaStream *transmitMediaStream)
virtual void | StartTransmit ()
virtual void | StopTransmit ()
PBoolean | SendClientList ()
PBoolean | SendExtraCapabilities ()
PBoolean | SendClientListCommand ()
PBoolean | SendExtraCapabilitiesCommand (const OpalH224Client &client)
PBoolean | SendExtraCapabilitiesMessage (const OpalH224Client &client, BYTE *data, PINDEX length)
PBoolean | TransmitClientFrame (const OpalH224Client &client, H224_Frame &frame)
PBoolean | HandleFrame (const RTP_DataFrame &rtpFrame)
virtual PBoolean | OnReceivedFrame (H224_Frame &frame)
virtual PBoolean | OnReceivedCMEMessage (H224_Frame &frame)
virtual PBoolean | OnReceivedClientList (H224_Frame &frame)
virtual PBoolean | OnReceivedClientListCommand ()
virtual PBoolean | OnReceivedExtraCapabilities (H224_Frame &frame)
virtual PBoolean | OnReceivedExtraCapabilitiesCommand ()
PMutex & | GetTransmitMutex ()

## Protected Attributes

PMutex | transmitMutex
PBoolean | canTransmit
RTP_DataFrame | transmitFrame
BYTE | transmitBitIndex
PTime * | transmitStartTime
OpalH224MediaStream * | transmitMediaStream
H224_Frame | receiveFrame
OpalH224ClientList | clients

## Member Enumeration Documentation

anonymous enum

Enumerator:

  Broadcast |
  CMEClientListCode |
  CMEExtraCapabilitiesCode |
  CMEMessage |
  CMECommand |
  CountryCodeEscape |

## Constructor & Destructor Documentation

OpalH224Handler::OpalH224Handler | ( |  | ) |

OpalH224Handler::~OpalH224Handler | ( |  | ) |

## Member Function Documentation

PBoolean OpalH224Handler::AddClient | ( | OpalH224Client & | client | ) |

Adds / removes the client from the client list

PMutex& OpalH224Handler::GetTransmitMutex | ( |  | ) | `[inline]`

PBoolean OpalH224Handler::HandleFrame | ( | const RTP_DataFrame & | rtpFrame | ) |

virtual PBoolean OpalH224Handler::OnReceivedClientList | ( | H224_Frame & | frame | ) | `[virtual]`

virtual PBoolean OpalH224Handler::OnReceivedClientListCommand | ( |  | ) | `[virtual]`

virtual PBoolean OpalH224Handler::OnReceivedCMEMessage | ( | H224_Frame & | frame | ) | `[virtual]`

virtual PBoolean OpalH224Handler::OnReceivedExtraCapabilities | ( | H224_Frame & | frame | ) | `[virtual]`

virtual PBoolean OpalH224Handler::OnReceivedExtraCapabilitiesCommand | ( |  | ) | `[virtual]`

virtual PBoolean OpalH224Handler::OnReceivedFrame | ( | H224_Frame & | frame | ) | `[virtual]`

PBoolean OpalH224Handler::RemoveClient | ( | OpalH224Client & | client | ) |

PBoolean OpalH224Handler::SendClientList | ( |  | ) |

Sends the complete client list with all clients registered

PBoolean OpalH224Handler::SendClientListCommand | ( |  | ) |

Requests the remote side to send it's client list

PBoolean OpalH224Handler::SendExtraCapabilities | ( |  | ) |

Sends the extra capabilities for all clients that indicate to have extra capabilities.

PBoolean OpalH224Handler::SendExtraCapabilitiesCommand | ( | const OpalH224Client & | client | ) |

Request the remote side to send the extra capabilities for the given client

PBoolean OpalH224Handler::SendExtraCapabilitiesMessage | ( | const OpalH224Client & | client,
|  | BYTE * | data,
|  | PINDEX | length |
| ) |  |  |

Callback for H.224 clients to send their extra capabilities

void OpalH224Handler::SetReceiveMediaFormat | ( | const OpalMediaFormat & | mediaFormat | ) |

void OpalH224Handler::SetTransmitMediaFormat | ( | const OpalMediaFormat & | mediaFormat | ) |

Sets the transmit / receive media format

void OpalH224Handler::SetTransmitMediaStream | ( | OpalH224MediaStream * | transmitMediaStream | ) |

Sets / unsets the transmit H224 media stream

virtual void OpalH224Handler::StartTransmit | ( |  | ) | `[virtual]`

virtual void OpalH224Handler::StopTransmit | ( |  | ) | `[virtual]`

PBoolean OpalH224Handler::TransmitClientFrame | ( | const OpalH224Client & | client,
|  | H224_Frame & | frame |
| ) |  |  |

Callback for H.224 clients to send a client frame

## Field Documentation

PBoolean OpalH224Handler::canTransmit `[protected]`

OpalH224ClientList OpalH224Handler::clients `[protected]`

H224_Frame OpalH224Handler::receiveFrame `[protected]`

BYTE OpalH224Handler::transmitBitIndex `[protected]`

RTP_DataFrame OpalH224Handler::transmitFrame `[protected]`

OpalH224MediaStream* OpalH224Handler::transmitMediaStream `[protected]`

PMutex OpalH224Handler::transmitMutex `[protected]`

PTime* OpalH224Handler::transmitStartTime `[protected]`

The documentation for this class was generated from the following file:

- h224handler.h